Page MenuHomePhabricator

Page banner placeholder
Closed, ResolvedPublic

Description

As a user visiting a page such as https://en.wikivoyage.org/wiki/Bali at the top of the page I see a placeholder banner.

  • The placeholder banner is a file specified as a config variable

e.g. $wgPBImage = 'File:S-amer_africa_default_banner.jpg';
(would load https://commons.wikimedia.org/wiki/File:S-amer_africa_default_banner.jpg)

  • The title of the page appears in the top left of the placeholder image and is the heading of the page (h1)
  • There is only one h1 element within #content
  • Follows this design:

Note:

  • In future versions we may want to use different placeholder images for different articles based on categories/other meta information. We will descope this for the time being.
  • No table of contents
  • No customisation of the image at this point
  • No loading of the a page specific image from Wikidata at this point.

Event Timeline

Jdlrobson raised the priority of this task from to Needs Triage.
Jdlrobson updated the task description. (Show Details)
Jdlrobson moved this task to In discussion on the Wikidata-Page-Banner board.
Jdlrobson added a subscriber: Jdlrobson.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 1 2015, 10:33 PM
Sumit added a subscriber: Sumit.EditedApr 28 2015, 4:31 PM

@Jdlrobson, just a small query, before I start this off,should the default banner appear on all pages of the wiki without the need of any magic word, or the banner be activated only when the magic word {{PAGEBANNER}} is used on a page?

I think as a first patch keep it simple and apply it to all pages. This will allow you to focus on styling and skin integration issues. You can click 'create subtask' in the top right to capture things such as magic words.

Also I would recommend only doing this for desktop to begin with and doing the mobile integration separately.

Change 208096 had a related patch set uploaded (by Sumit):
PageBanner: Static banner placeholder created

https://gerrit.wikimedia.org/r/208096

Bene added a subscriber: Bene.May 1 2015, 8:43 PM

Change 208096 merged by Jdlrobson:
PageBanner: Static banner placeholder created

https://gerrit.wikimedia.org/r/208096

Jdlrobson closed this task as Resolved.May 4 2015, 5:22 PM
Jdlrobson claimed this task.